Package org.zkoss.clientbind.ui.util

## Class ObjectMappers

- java.lang.Object
- - org.zkoss.clientbind.ui.util.ObjectMappers

-     public class ObjectMappers
      extends java.lang.Object

  Object Mappers utils.
  Author:
    jameschu

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `IGNORE_FIRST_LIST_ID` |
    `static com.fasterxml.jackson.databind.ObjectMapper` | `SETTER_OBJECT_MAPPER` |
    `static com.fasterxml.jackson.databind.ObjectMapper` | `SETTER_OBJECT_MAPPER_ON_FAIL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectMappers()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> T` | `convert​(java.lang.Object data, java.lang.Class<? extends T> type)` | Converts any given data into the given type if possible.
    `static <T> T` | `convert​(ClientBindComposer composer, java.lang.Object data, java.lang.reflect.ParameterizedType type)` |
    `static com.fasterxml.jackson.databind.ObjectMapper` | `createGetterObjectMapper​(ClientBindComposer composer)` |
    `static boolean` | `isPropertyLoadStringType​(java.lang.Class<?> compClz, java.lang.String field)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IGNORE_FIRST_LIST_ID

          public static final java.lang.String IGNORE_FIRST_LIST_ID

      See Also:
        Constant Field Values

    - #### SETTER_OBJECT_MAPPER

          public static final com.fasterxml.jackson.databind.ObjectMapper SETTER_OBJECT_MAPPER

    - #### SETTER_OBJECT_MAPPER_ON_FAIL

          public static final com.fasterxml.jackson.databind.ObjectMapper SETTER_OBJECT_MAPPER_ON_FAIL

  - ### Constructor Detail

    - #### ObjectMappers

          public ObjectMappers()

  - ### Method Detail

    - #### createGetterObjectMapper

          public static final com.fasterxml.jackson.databind.ObjectMapper createGetterObjectMapper​(ClientBindComposer composer)

    - #### convert

          public static <T> T convert​(java.lang.Object data,
                                      java.lang.Class<? extends T> type)

      Converts any given data into the given type if possible. All unknown fields are ignored.

    - #### convert

          public static <T> T convert​(ClientBindComposer composer,
                                      java.lang.Object data,
                                      java.lang.reflect.ParameterizedType type)

    - #### isPropertyLoadStringType

          public static final boolean isPropertyLoadStringType​(java.lang.Class<?> compClz,
                                                               java.lang.String field)